%{?nodejs_find_provides_and_requires}

# We cannot currently build the browser version as
# npm(webpack) is not packaged
%global bootstrap 1

Name:           nodejs-source-map
Version:        0.5.6
Release:        8%{?dist}
Summary:        Node.js library that generates and consumes source maps

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

License:        BSD
URL:            https://github.com/mozilla/source-map
Source0:        https://github.com/mozilla/source-map/archive/%{version}/source-map-%{version}.tar.gz

BuildRequires:  nodejs-packaging

%if !0%{?bootstrap}
BuildRequires:  npm(webpack)
%endif

%description
A Node.js library that generates and consumes source maps,

A version suitable for use in the browser is available in the source-map
package.


%if !0%{?bootstrap}
%package -n source-map
Summary:    Client-side library that generates and consumes source maps

%description -n source-map
A client-side library that generates and source maps.  It is suitable for use
in browsers and is provided in original and minified form.

The Node.js library is available in the nodejs-source-map package.
%endif


%prep
%autosetup -n source-map-%{version}


%build
%if !0%{?bootstrap}
#build the browser version
webpack --color
%endif


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/source-map
cp -pr package.json source-map.js lib %{buildroot}%{nodejs_sitelib}/source-map

%if !0%{?bootstrap}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p dist/*.js %{buildroot}%{_datadir}/%{name}/
%endif

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs test/run-tests.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/source-map


%if !0%{?bootstrap}
%files -n source-map
%{_datadir}/%{name}
%doc README.md
%license LICENSE
%endif


%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jul 09 2016 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5.6-1
- Update to 0.5.6

* Wed Feb 10 2016 Tom Hughes <tom@compton.nu> - 0.5.2-3
- Include top level source-map.js in package

* Wed Feb 10 2016 Tom Hughes <tom@compton.nu> - 0.5.2-1
- Update to 0.5.2 upstream release

* Sun Feb 07 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.1.33-5
- cleanup spec

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.33-1
- update to upstream release 0.1.33

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.27-1
- update to upstream release 0.1.27
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-1
- new upstream release 0.1.22

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-4
- add macro to enable dependency generation on EPEL6

* Sun Feb 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-3
- fix BuildRequires
- link dependencies in %%check
- add missing %%nodejs_symlink_deps

* Fri Feb 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-2
- fix Name in main package

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-1
- initial package generated by npm2rpm
